Class | Rubygame::Mixer::Sample
In: | lib/rubygame/deprecated_mixer.rb
Parent: | Object

**NOTE:** This class is DEPRECATED and will be removed in Rubygame 3.0. Please use the Rubygame::Sound class instead.

Stores audio data to play with Rubygame::Mixer.play

### Methods

load_audio new

### Public Class methods

load_audio( filename )

**NOTE:** Rubygame::Mixer::Sample is DEPRECATED and will be removed in Rubygame 3.0. Please use the Rubygame::Sound class instead.

Load an audio sample (a "chunk", to use SDL_mixer‘s term) from a file. Only WAV files are supported at this time.

Raises SDLError if the sample could not be loaded.

new( struct=nil )

call-seq: new

[Validate]